Bug 65844 - rpm -q perl-Perl-RPM-0.291-2 report module as installed
rpm -q perl-Perl-RPM-0.291-2 report module as installed
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-02 11:29 EDT by Alan Polinsky
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-03 08:14:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Polinsky 2002-06-02 11:29:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
Though rpm -q reports perl-Perl-RPM-0.291-2 as installed, rpm -e
perl-perl-RPM-0.291-2 reports package as not installed. rpm --rebuilddb does not
help. I have been trying to use up2date for the last two months. According to
up2date, the following modules are out of date:

rpmfind, rpm2html, gnorpm, kdeadmin, rpm, rpmbuild, rpm-devel, rpm-python. I am
running rpm 4.0.2 release 8.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run up2date -fv at command line ( or up2date & in an xterm window
2.I am notified of the modules listed above as being in need of update
3.
	

Actual Results:  I get a message: There was a package dependency problem. The
message was : unresolveable chain of dependencies.
perl-Perl-RPM-0.291-2 requires librpm.so.0
perl-Perl-RPM-0.291-2 requires librpmio.so.0 I have tried to uninstall
perl-Perl-RPM-0.291-2 and have been told that the package is not installed, but
giving an rpm -q perl-Perl-RPM-0.291-2 reports it as installed

Expected Results:  Packages should have been updated

Additional info:

The three computer in question are registed with you as: 
winred71.polinsky.home
debwin983.polinsky.home
ibmred71.polinsky.home
Comment 1 Alan Polinsky 2002-06-03 08:14:27 EDT
With the help of someone from one of the usenet groups, I was able to remove the
offending rpm with the command rpm -e perl-Perl-RPM, leaving off the sub-part.
All is fine now

Note You need to log in before you can comment on or make changes to this bug.